MEINPROC5(1)

NOME
meinproc5 - Tradutor do KDE para XML

SINTAXE

meinproc5 [-h, --help] [-v, --version] [--cache arquivo] [--check] [--srcdir dir] [--param chave=valor] [ [ | [-o] | [--output] ] arquivo ] [--stdout] [--stylesheet xsl] arquivo-docbook

DESCRIçãO

O meinproc5 converte arquivos DocBook para HTML.

OPçõES GENéRICAS

-h--help

    Mostra a ajuda sobre as opções.

-v--version
    Mostra informações sobre a versão

OPçõES DO APLICATIVO

--cache arquivo
    Cria um arquivo de 'cache' para o documento

--check
    Verifica a validade do documento

        O resultado poderá ser bastante exaustivo, uma vez que um pequeno erro poderá gerar uma enorme cascata de erros.
        O truque é olhar para o primeiro erro, corrigi-lo, salvar o arquivo e executar o meinproc5 novamente.

-o, --output arquivo
    Envia o documento inteiro para o arquivo.

--stdout
    Envia todo o documento para o 'stdout' (tela).

--stylesheet xsl
    Folha de estilo a ser usada

--srcdir pasta
    Configura a pasta de topo onde procurar o kdoctools

--param chave=valor
    Define os parâmetros a passar à folha de estilo.

UTILIZAçãO

A forma mais comum de executar o meinproc5 é tão simples como

    meinproc5 arquivo-docbook

, onde o arquivo-docbook é normalmente 'index.docbook'. Este comando cria páginas HTML a partir do arquivo DocBook. Lembre-se de que estas páginas só são visíveis em navegadores baseados no KDE (como o Konqueror).

Se você precisar ver o resultado em HTML em outro navegador (por exemplo, se quiser colocá-lo online), use

    meinproc5 --stylesheet nome-folha-estilo arquivo-docbook

, onde o nome-folha-estilo é a localização completa de uma das folhas de estilo em <kdoctools_installation_prefix>/share/kf5/kdoctools/customization/. Para produzir um resultado adequado para a Web, você poderá usar o kde-web.xsl ou o kde-chunk-online.xsl. Veja o arquivo README dessa pasta para mais detalhes.

VEJA TAMBéM

kf5options(7), qt5options(7)

ERROS

Use o sistema de gerenciamento de erros do KDE[1] para relatar erros.

NOTAS

1.  sistema de gerenciamento de erros do KDE
    https://bugs.kde.org